## EAuthComboBox

EAuthComboBox

## Functions

GtkWidget * | e_auth_combo_box_new ()
CamelProvider * | e_auth_combo_box_get_provider ()
void | e_auth_combo_box_set_provider ()
void | e_auth_combo_box_update_available ()

## Properties

gpointer | provider | Read / Write

## Types and Values

struct | EAuthComboBox

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── EAuthComboBox

## Implemented Interfaces

EAuthComboBox implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

## Functions

### e_auth_combo_box_new ()

    GtkWidget *
    e_auth_combo_box_new (void);

### e_auth_combo_box_get_provider ()

    CamelProvider *
    e_auth_combo_box_get_provider (EAuthComboBox *combo_box);

### e_auth_combo_box_set_provider ()

    void
    e_auth_combo_box_set_provider (EAuthComboBox *combo_box,
                                   CamelProvider *provider);

### e_auth_combo_box_update_available ()

    void
    e_auth_combo_box_update_available (EAuthComboBox *combo_box,
                                       GList *available_authtypes);

## Types and Values

### struct EAuthComboBox

    struct EAuthComboBox;

## Property Details

### The `“provider”` property

      “provider”                 gpointer

The provider to query for auth mechanisms.

Flags: Read / Write